"use strict";

var print = function(input, delay){
  var delay_in_seconds = delay * 1000;
  setTimeout(function(){
    change();
    document.body.innerHTML = input;
  }, delay_in_seconds);
};

var read = function(){
  return document.body.innerHTML;
};

window.onload = function(){
   loop(sens, 2000, 0, {first_time: true});
};
 
var loop = function(list, time, current_index, options){
  var i = current_index;
  if(options == undefined){
    options = {first_time: false}
  }
  if(options.first_time == true){
    print(list[i]);
    loop(list, time, i+1);
    return;
  }
  setTimeout(function(){
    print(list[i]);
    i++;
    if(i < list.length){
      loop(list, time, i);
    } else {
      i = 0;
      loop(list, time, i);
    }
  }, time);
};

var colorlist = [
  "coral",
  "teal",
  "yellow",
  "white"
  ];

function newcolor(list,donot) {
  var col = Math.floor((Math.random()*list.length));
  if(col == donot) {
      return newcolor(list,donot);
    }
  else {
    return col;
  }
}

function change() {
  var pallet = colorlist;
  var color1 = newcolor(pallet);
  var color2 = newcolor(pallet,color1);
  document.body.style.background = pallet[color1];
  document.body.style.color = pallet[color2];
}

var sens = [
	"There once was a boy.",

  "He lived on an island!",

	"His name? That's not important.",

	"But he was special.",

	"He had a unique condition.",

	"Stickyness.",

	"The boy was very sticky!",

	"There wasn't a thing in the world he couldn't stick to.",

	"Some people would find that problematic.",

	"Most people would try to not be so sticky!",

	"No, not him!. <br> Not Sticki boy."
	];











